#include <iostream>
// Ukljucujemo zaglavlje algorithm kako bismo mogli da koristimo algoritme standardne biblioteke
#include <algorithm>
#include <vector>

int main ()
{
    std::vector<int> a = {1,2,3,4,5,6,7,8,9};
    
    // std::find vraca iterator na prvi element koji zadovoljava zadati uslov 
    // U slucaju neuspeha vraca iterator end()
    auto pos = std::find_if(a.begin(), a.end(), [](int x){ return x > 4; });

    if (pos != a.end()) {
        // Kako for_each dobija iteratore odakle dokle u kolekciji da gleda elemente mozemo pos da posaljemo kao prvi argument funkcije i da ispisemo sve elemente od trazenog pa do kraja kolekcije
        std::for_each(pos, a.end(), [](int x){ std::cout << x << " "; });
        std::cout << std::endl;
    }
    else {
        std::cout << "Element ne postoji!\n";
    }   
    return 0;
}   
